Bug 192294 - Make the alternatives configuration in openmpi independent
Make the alternatives configuration in openmpi independent
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-05-18 16:18 EDT by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-17 15:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to openmpi's alternative set-up (3.48 KB, patch)
2006-05-18 16:18 EDT, Deji Akingunola
no flags Details | Diff

  None (edit)
Description Deji Akingunola 2006-05-18 16:18:17 EDT
Description of problem:
The alternatives configuration in openmpi as it is now provides for the
co-existence of only openmpi and lam. The attached patch changes that, and makes
openmpi set up its alternatives system by itself independent of other
package(s). This will allow other MPI implementations like mpich2 (bug #171993)
to be included in Fedora extras.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Deji Akingunola 2006-05-18 16:18:17 EDT
Created attachment 129485 [details]
Patch to openmpi's alternative set-up
Comment 2 Doug Ledford 2007-10-17 15:29:19 EDT
Although the alternatives setup for openmpi has been fixed for some time in the
fc7 and devel branches, I have no intention of changing it in fc5 as it's a
rather invasive change likely to break existing, working setups.  Therefore I'm
closing this bug out as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.